撸linux


linux运行QQ?小撸说说自己的经历

注意:本篇文章的观点已经过时,linux下有一个真正能用的完美的wineqq方案,请看http://www.lulinux.com/archives/1319

QQ是几亿人都在用的即时通讯工具。因为其难以撼动的地位,所以不得不用它,然而在linux下使用QQ是让人非常捉急的一件事情,linux开发者们前仆后继,都没有搞定一个真正好用的QQ。今天折腾QQ的经历让我对这个东西充满失望,最后不得不放弃QQ改用Skype。说说我痛苦的经历吧!

首先是wine qq轻聊版,能够正常安装,但不能输入账号,幸好能通过扫描二维码的方式进入QQ界面,但是不能显示和输入中文(聊天记录里能正常显示聊天记录),然而不到1分钟,它就崩溃了,如此反复崩溃十几次,宣告放弃。

然后是wine tm2013,这货比轻聊版更差,不能扫描二维码,通过在Users文件里拷贝windows下聊天记录的方式进入,还是不行。

接着wine 绿色版的tm2009,跟tm2013一样。

wine qq国际版,跟wine qq轻聊版一样,正常安装,通过扫描二维码的方式进入QQ界面,然而不到1分钟,它就崩溃了,猜测是因为弹出广告的功能导致崩溃,找半天还是没有答案。

感觉自己这样自行wine安装qq,可能会有问题,不如用longene或deepin打包好的wineqq包。于是在archlinux的aur源里找到了deepinwine-qqintl2012和wineqq-longene,这两个软件包出奇的大,忍了,结果比自行wine安装qq还垃圾,要不不能启动,要不就是输入账号即告崩溃,甚至连qq界面都看不到,索性全部卸载了。

看到网上有人说wine 1.7.x什么版本能侥幸的运行qq,于是猜测是不是wine的1.9.9版本太高、不够稳定、造成QQ莫名其妙的崩溃。运行yaourt -S wine-stable,因为wine来自国外的网站,断断续续花了1个多小时好不容易下载好20多m的wine-1.8.3.tar.bz2包,结果因为密钥的问题而宣告失败。

然后下用这个wine-1.8.3.tar.bz2自行编译,又花了2个小时总算编译完这个1G多的包,结果wine安装运行qq国际版,问题如初。进入界面不到1分钟,崩溃!崩溃!崩溃!

至此,wine的方式安装运行qq已彻底失败

继续折腾,用archon运行qq2011去广告版,总算能够稳定运行了,但是在发送信息的时候说“你的qq版本过低,对方收不到消息”之类的提示。又是半残!

第2天,我还是不死心,又尝试按照网上某个人的教程用xfreerdp来无缝运行vm的qq程序,步骤非常繁琐,最终宣告失败。

最后的最后,我已经精疲力尽,还弱弱的想去尝试安装windows的虚拟机来运行QQ,但又觉得这是最差的、事倍功半的方法——极端消耗电脑资源,还有各种卡,真心不如用手机和其他电脑的方便,而且我这台电脑主要是用来运行linux的——不了了之。

经过这两天的折腾实践,linux环境运行QQ已经被证明是不可能的事情。回过头来想想,QQ for Linux迟迟不更新和webqq的停用,实际上就是腾讯宣告与Linux世界隔绝的声明。毫无疑问,腾讯是个没有良心的公司!

写出以上经历,目的是告诫自己或者看到这篇文章的人,请放弃你的想法,Linux下运行QQ的路走不通,还是老老实实的用其他设备运行QQ,或者改用Skype吧!

****************************************************************************************

(写完之后,我感觉自己的愤怒已经消停了许多,毕竟,想要用QQ,只要用手机或其他电脑就可以,这年代谁没有几部手机或几台电脑呢?而且QQ的替代品有很多,真需要即时通讯的时候,可以建议对方用Skype、新浪微博私信。或者如果像我一样有一个小站,也可以在网站上建一个聊天室或使用Mibew Messenger套件即可。)

注意:本篇文章的观点已经过时,linux下有一个真正能用的完美的wineqq方案,请看http://www.lulinux.com/archives/1319

相关博文



以下是网友的2条评论,您赞同吗?

  1. ls
    2016-7-17 14:24

    请问我可以转发到贴吧吗?

    • 小撸
      2016-7-17 14:57

      不好意思,这篇文章的观点有待商榷。用了清风老师的QQ包之后,QQ还能稳定的运行5分钟不崩溃,蛮有希望的。参见http://www.phpcj.org,搜关键词“QQ”。

发表评论

电子邮件地址不会被公开。